
%define plugin	vnsiserver
%define name	vdr-plugin-%plugin
%define version	0.9.1
%define branch	frodo
%define snap	20130204
%define rel	3

# make sure XBMC VNSI client works after updating

# TODO: update wirbelscan support to work with our upstream
# wirbelscan - vnsiserver currently supports old custom patch only

Summary:	VDR plugin: VDR-Network-Streaming-Interface (VNSI) Server
Name:		%name
Version:	%version
Release:	%mkrel 0.git%snap.%rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://xbmc.org/
# git://github.com/opdenkamp/xbmc-pvr-addons.git
# git archive --prefix=vnsiserver-frodo-git20130204/ origin/frodo:addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver | xz > vdr-vnsiserver-frodo-git20130204.tar.xz
Source:		vdr-%plugin-%branch-git%snap.tar.xz
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
A VNSI server for VDR, allowing the use of VDR via VNSI PVR addon of XBMC.

%prep
%setup -q -n %plugin-%branch-git%snap
%apply_patches

# weirdness causing configuration issues on upgrade
sed -r -i 's,(PLUGIN = %{plugin})[0-9]+,\1,' Makefile

%vdr_plugin_prep

%build
%vdr_plugin_build

%install
%vdr_plugin_install

install -m755 -d %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
install -m644 %{plugin}/* %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

%files -f %plugin.vdr
%doc README HISTORY
%dir %{_vdr_plugin_cfgdir}/%{plugin}
%config(noreplace) %{_vdr_plugin_cfgdir}/%{plugin}/allowed_hosts.conf


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.9.1-0.git20130204.3.mga4
+ Revision: 545122
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.9.1-0.git20130204.2.mga4
+ Revision: 500246
- rebuild for new VDR

* Thu Sep 12 2013 anssi <anssi> 0.9.1-0.git20130204.1.mga4
+ Revision: 478157
- new snapshot from frodo branch to support current XBMC version

* Mon Jan 14 2013 umeabot <umeabot> 0.9.0-0.git20111227.4.mga3
+ Revision: 385367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.9.0-0.git20111227.3.mga3
+ Revision: 326250
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.9.0-0.git20111227.2.mga2
+ Revision: 221062
- rebuild for VDR 1.7.25

* Sun Feb 26 2012 anssi <anssi> 0.9.0-0.git20111227.1.mga2
+ Revision: 214976
- new snapshot

* Sat May 14 2011 anssi <anssi> 0.0.1-0.svn32590.2.mga1
+ Revision: 98631
- drop old scriptlets
- add warning about update on .spec
- imported package vdr-plugin-vnsiserver


* Wed Aug 11 2010 Anssi Hannula <anssi@mandriva.org> 0.0.1-0.svn32590.1mdv2011.0
+ Revision: 569119
- new snapshot (fixes issues with config files)
- config files moved to proper location and marked as noreplace
- drop upstreamed patch

* Sat Aug 07 2010 Anssi Hannula <anssi@mandriva.org> 0.0.1-0.svn32585.2mdv2011.0
+ Revision: 567441
- fix crash when a recording has no title in path and no event info

* Sat Aug 07 2010 Anssi Hannula <anssi@mandriva.org> 0.0.1-0.svn32585.1mdv2011.0
+ Revision: 567417
- initial Mandriva release

